jQuery(document).ready(function($) {
    'use strict';

    var mediaUploader;

    $('#spp_upload_image_button').on('click', function(e) {
        e.preventDefault();

        // If the media uploader already exists, open it again
        if (mediaUploader) {
            mediaUploader.open();
            return;
        }

        // Create the media uploader
        mediaUploader = wp.media.frames.file_frame = wp.media({
            title: spp_params.title || 'Select Profile Picture', // Localized title
            button: {
                text: spp_params.button || 'Use This Picture' // Localized button text
            },
            multiple: false // Allow only a single file selection
        });

        // When an image is selected
        mediaUploader.on('select', function() {
            var attachment = mediaUploader.state().get('selection').first().toJSON();
            $('#spp_profile_picture_id').val(attachment.id);
            // Update the preview (use thumbnail size)
            var thumbnailUrl = attachment.sizes && attachment.sizes.thumbnail ? attachment.sizes.thumbnail.url : attachment.url;
            $('#spp-avatar-preview').attr('src', thumbnailUrl).show();
            $('#spp_remove_image_button').show();
        });

        // Open the media uploader
        mediaUploader.open();
    });

    $('#spp_remove_image_button').on('click', function(e) {
        e.preventDefault();
        $('#spp_profile_picture_id').val(''); // Clear the ID
        $('#spp-avatar-preview').attr('src', '').hide(); // Hide the preview
        $(this).hide(); // Hide the remove button
    });
});